import request from '@/utils/request'

// 查询分配后的标准件和外购件
export function searchMaterial(pageCurrent, pageSize, num1, check1, val1, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料_分配后',
      param: `物料状态编号=${num1}&物料名称_check=${check1}&物料名称=${val1}&人员编号=${person}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询分配后的基本件
export function searchPart(pageCurrent, pageSize, num1, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购部采购_查询物料_基本件_分配后',
      param: `物料状态编号=${num1}&人员编号=${person}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询供应商
export function searchSupplier(check1, value1, check2, value2, check3, value3, check4, value4, check5, value5, check6, value6, check7, value7, check8, value8, check9, value9, check10, value10, check11, value11, check12, value12) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_供应商_查询数据_根据条件',
      param: '供应商名称_check=' + check1 + '&供应商名称=' + value1 + '&企业性质_check=' + check2 + '&企业性质=' + value2 + '&创立日期_check=' + check3 + '&创立日期=' + value3 + '&注册资本_check=' + check4 + '&注册资本=' + value4 + '&税号_check=' + check5 + '&税号=' + value5 + '&电子信箱_check=' + check6 + '&电子信箱=' + value6 + '&地址_check=' + check7 + '&地址=' + value7 + '&帐号_check=' + check8 + '&帐号=' + value8 + '&开户行_check=' + check9 + '&开户行=' + value9 + '&电话号码_check=' + check10 + '&电话号码=' + value10 + '&传真_check=' + check11 + '&传真=' + value11 + '&货期_check=' + check12 + '&货期=' + value12
    }
  })
}
// 查询询价单
export function searchCreateInquirySheet(pageCurrent, pageSize, check1, name, check2, num, id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_询价单_查询数据',
      param: `供应商名称_check=${check1}&供应商名称=${name}&询价单编号_check=${check2}&询价单编号=${num}&采购员流水号_check=1&采购员流水号=${id}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询询价单--不分页
export function searchCreateInquirySheet2() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_询价单_查询数据',
      param: `供应商名称_check=0&供应商名称=0&询价单编号_check=0&询价单编号=0&采购员流水号_check=0&采购员流水号=0`
    }
  })
}
// 查询询价单明细
export function searchSheetDetail(num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_询价单明细_查询数据',
      param: '询价单流水号=' + num2
    }
  })
}
// 创建询价单
export function createInquirySheet(num1, num2, remark, id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单_增加数据',
      param: `询价单编号=${num1}&采购员=${id}&供应商流水号=${num2}&备注=${remark}&identity=1=output`
    }
  })
}
// 删除询价单
export function deleteInquirySheet(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单_删除数据',
      param: '询价单流水号=' + num1
    }
  })
}
// 将标准件和外购件追加现有询价单
export function addInquirySheet1(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单明细_增加数据',
      param: '询价单流水号=' + num1 + '&组件零件流水号=' + num2 + '&数量=' + num3
    }
  })
}
// 将基本件追加现有询价单
export function addInquirySheet2(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单明细_增加数据',
      param: '询价单流水号=' + num1 + '&组件零件基本件流水号=' + num2 + '&数量=' + num3
    }
  })
}
// 移出询价单
export function outInquirySheet(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单明细_删除数据',
      param: '询价单明细流水号=' + num1 + '&组件零件流水号=' + num2 + '&组件零件基本件流水号=' + num3
    }
  })
}
// 查询物料
export function searchAllMaterial(MaterialName, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_物料主文件_基本_查询数据_分页',
      param: '物料名称_check=1&物料名称=' + MaterialName + '&PageCurrent=' + pageCurrent + '=int&PageSize=' + pageSize + '=int&PageCount=1=int=output&ItemCount=1=int=output'
    }
  })
}
// 物料变更
export function materialChange(num1, num2, num3, num4, person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购物料修改_修改数据',
      param: `组件零件流水号=${num1}&标准件和外购件流水号=${num2}&原物料流水号=${num3}&新物料流水号=${num4}&申请人=${person}`
    }
  })
}
// 编辑询价单
export function editInquirySheet(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单_修改数据',
      param: `询价单流水号=${num1}&询价单编号=${num2}&供应商流水号=${num3}`
    }
  })
}
// 编辑询价单
export function saveOrder(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_询价单明细_保存数据',
      param: `询价单明细流水号组=${num1}&数量组=${num2}&备注组=${num3}`
    }
  })
}
// 使用滞货
export function submitUseInventory(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_使用滞货',
      param: `物料流水号=${params[0]}&使用滞货数量=${params[1]}&组件零件流水号=${params[2]}`
    }
  })
}
// 取消使用滞货
export function cancelUseInventory(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_取消使用滞货',
      param: `物料流水号=${params[0]}&取消数量=${params[1]}&组件零件流水号=${params[2]}`
    }
  })
}
